-#!/bin/bash
+#!/usr/bin/env bash
+KEY=.slurp-key
LEGACY='-oHostKeyAlgorithms=+ssh-dss'
-sftp=( sftp -v -P 19362 -i .slurp-key -oConnectTimeout=4 $LEGACY )
+sftp=( sftp -v -P 19362 -i "$KEY" -oConnectTimeout=4 $LEGACY )
+if [[ ! -e "$KEY" ]];then
+ ssh-keygen -f "$KEY"
+ echo "I generated you a key! Copy $KEY.pub to devices' authorized_keys"
+ exit 1
+fi
+
+seendir="slurp-seen"
while read host path;do
- outdir="slurp-$host"
- seendir="slurp-seen"
+ outdir="slurp-$host-${path//\//,}"
{
mkdir -p "$outdir" "$seendir/$outdir"
echo "cd $path"
for f in "$outdir"/*;do
touch "$seendir/$f"
done
- rename-to-date "$outdir"/*
+ ./rename-to-date "$outdir"/*
done < .slurp-hosts